/***************************************************************************
**
**    $Header:   D:/EP196/SRC/LOG/SRCDLL/SRCSRCH.H__   1.0   15 Aug 1997 14:03:42   ZJRD  $
**
**    $Log:   D:/EP196/SRC/LOG/SRCDLL/SRCSRCH.H__  $
** 
**    Rev 1.0   15 Aug 1997 14:03:42   ZJRD
** Initial revision.
** 
**    Rev 1.1.7.0   19 Jun 1997 14:49:20   ZJRD
** 1.0c
** 
****************************************************************************/

// srcsrch.h : header file
//
#ifndef _SRCSRCH_H_
#define _SRCSRCH_H_

/////////////////////////////////////////////////////////////////////////////
// CSourceSearchDlg dialog

class CSourceSearchDlg : public CDialog
{
// Construction
public:
	CSourceSearchDlg(CWnd* pParent = NULL);

// Dialog Data
	//{{AFX_DATA(CSourceSearchDlg)
	enum { IDD = IDD_SRC_SEARCH };
	CComboBox	m_comboWhat;
	CButton	m_btnSearch;
	BOOL	m_bWord;
	BOOL	m_bCase;
	CString	m_strWhat;
	int		m_nDirect;
	//}}AFX_DATA

public:
	enum { dirUp = 0, dirDown, dirAll };

// Implementation
protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	virtual void PostNcDestroy();

	// Generated message map functions
	//{{AFX_MSG(CSourceSearchDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnButtonSrcsearchSearch();
	afx_msg void OnEditchangeComboSrcsearchWhat();
	virtual void OnCancel();
	afx_msg void OnSelchangeComboSrcsearchWhat();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif
